<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePropertyAdditionalInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('property_additional_info', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('property_id');
            $table->unsignedInteger('additional_info_key_id');
            $table->string('value',100)->nullable();
            $table->tinyInteger('status')->default(1);
            $table->unsignedInteger('created_by');
            $table->unsignedInteger('updated_by');
            $table->integer('created_at');
            $table->integer('updated_at');
        });

        Schema::table('property_additional_info',function (Blueprint $table){
           $table->foreign('property_id')->references('id')->on('property');
           $table->foreign('additional_info_key_id')->references('id')->on('property_additional_info_key');
           $table->foreign('created_by')->references('id')->on('user');
           $table->foreign('updated_by')->references('id')->on('user');
           $table->unique(['property_id','additional_info_key_id' ],'pai_unique');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('property_additional_info');
    }
}
